## Installing a Haskell Compiler and Interpreter

1. Create a working directory where you save text files with extension `.hs` and run the command `ghci` from that working directory.
2. Follow the examples set in either Learn You a Haskell, HPM Education, or other Haskell tutorials you may find. If you have a favorite Haskell resource, feel free to submit a Merge Request adding it to [this lesson page](https://gitlab.com/gimbalabs/ppbl-2023/ppbl-front-end-template-2023/-/blob/main/src/components/course-modules/301/3012/Docs.mdx?ref_type=heads).

### You will know you are successful if:
- You can write an example from [Learn You a Haskell](http://learnyouahaskell.com/chapters) or [HPM Education](https://haskell.hpmeducation.com/introduction/) and run it locally with `ghci`.

<br />
---

## Try This!
Write a function that takes a list of integers `intList` and integer `n`, and returns the lowest integer in `intList` that is greater than `n`.

To complete this task, you might use a [List Comprehension](https://haskell.hpmeducation.com/list-comprehensions/list-comprehensions). In Plutus Validators, list comprehensions are helpful whenever we want to find a piece of data that matches certain criteria.

### You will know you are successful if:
1. You can test your function locally.
2. Your function works as expected.

Example inputs and outputs:
- `myFunction [4,8,21,12,7] 5` should return 7
- `myFunction [4,8,21,12,7] 14` should return 21

import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;